const https = require('https');
const fs = require('fs');

const options = {
  key: fs.readFileSync('./server_localhost_key.pem'),
  cert: fs.readFileSync('./server_localhost_crt.pem')
};

https.createServer(options, (req, res) => {
  res.writeHead(200);
  res.end('hello world\n');
}).listen(3000, () => {
  console.log('Listening...');
});